Loading ...
Sorry, an error occurred while loading the content.
 

Re: EiffelStudio 5.7 Installation Problem

Expand Messages
  • Ron Ostrow
    ... since we are ... the .NET ... in the beta ... release of .NET ... might need to ... I uninstalled EiffelStudio 5.7, uninstalled Microsft .NET Framework 2.0
    Message 1 of 4 , Nov 1, 2006
      --- In eiffel_software@yahoogroups.com, "Emmanuel Stapf [ES]"
      <manus@...> wrote:
      >
      > > Why is this happening?
      >
      > Looks like something goes wrong during the precompilation phase and
      since we are
      > doing 3 precompilations for classic and 3 for .NET. My guess is that
      the .NET
      > one are failing.
      >
      > > On a different matter I want to replace the beta 2.0 version of the
      > > Microsoft.NET Framework. Can I uninstall the the beta version of the
      > > framework, install the new 2.0 framework without uninstalling
      > > EiffelStudio 5.7 first?
      >
      > I suspect that there is something that EiffelStudio 5.7 doesn't like
      in the beta
      > of .NET 2.0. You can uninstall the beta and install the final
      release of .NET
      > 2.0 without reinstalling EiffelStudio. Only the .NET precompiles
      might need to
      > be rebuilt if you need them.
      >
      > Regards,
      > Manu
      >


      I uninstalled EiffelStudio 5.7, uninstalled Microsft .NET Framework
      2.0 beta, installed Microsft .NET Framwork 2.0 (final non-beta
      version) and reinstalled EiffelStudio 5.7 with the Borland C++
      compiler selected again. This time the installation completed without
      incident precompiling base, vision2 and wel.

      Launching EiffelStudio and opening the Precompilation Wizard shows:

      base-mt done = no
      base done = yes
      vision2-mt done = no
      vision2 done = yes
      wel-mt done = no
      wel done = yes

      What are "base-mt", "vision2-mt" and "wel-mt"? Were they suppose to be
      precompiled during enstallation?

      thanks,
      Ron
    • Emmanuel Stapf [ES]
      ... It is the version of base, wel and vision2 compiled in multithreaded mode. They are only needed if you plan on developing a multithreaded application using
      Message 2 of 4 , Nov 1, 2006
        > What are "base-mt", "vision2-mt" and "wel-mt"? Were they
        > suppose to be precompiled during enstallation?

        It is the version of base, wel and vision2 compiled in multithreaded mode. They
        are only needed if you plan on developing a multithreaded application using a
        precompiled library.

        Regards,
        Manu
      Your message has been successfully submitted and would be delivered to recipients shortly.